Files

Finish FileData Upload

PUT
/file/{fileId}/{versionId}/{fileType}/finish

Finish an upload of a FileData. This will mark it as "complete". After uploading the file for Avatars and Worlds you then have to upload a signature file.

Authorization

authCookie
auth<token>

Auth Token via Cookie

In: cookie

Path Parameters

fileId*string

Must be a valid file ID.

versionId*integer

Version ID of the asset.

Range1 <= value
fileType*string

Type of file.

Value in"delta" | "file" | "signature"

Request Body

application/json

Please see documentation on ETag's: https://teppen.io/2018/06/23/aws_s3_etags/

ETag's should NOT be present when uploading a signature.

Response Body

application/json

curl -X PUT "https://api.vrchat.cloud/api/1/file/file_00000000-0000-0000-0000-000000000000/1/file/finish" \  -H "Content-Type: application/json" \  -d '{    "etags": [      "xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx",      "yyyyyyyyyyyyyyyyyyyyyyyyyyyyyyyy"    ],    "maxParts": "0",    "nextPartNumber": "0"  }'
{
  "id": "file_00000000-0000-0000-0000-000000000000",
  "name": "Avatar - Test Avatar - Unity package - 2017․4․28f1_3_standalonewindows_Release",
  "extension": ".unitypackage",
  "mimeType": "application/gzip",
  "ownerId": "usr_c1644b5b-3ca4-45b4-97c6-a2a0de70d469",
  "tags": [],
  "versions": [
    {
      "created_at": "2019-08-15T11:04:37.910Z",
      "status": "complete",
      "version": 0
    },
    {
      "created_at": "2019-08-15T11:04:49.702Z",
      "delta": {
        "category": "queued",
        "fileName": "Avatar-Test-Avatar-Unity.file_00000000-0000-0000-0000-000000000000.1.unitypackage.delta",
        "md5": "",
        "sizeInBytes": 0,
        "status": "none",
        "uploadId": "",
        "url": "https://s3.us-east-1.amazonaws.com/files.vrchat.cloud/Avatar-Test-Avatar-Unity.file_00000000-0000-0000-0000-000000000000.1.unitypackage.delta"
      },
      "file": {
        "category": "multipart",
        "fileName": "Avatar-Test-Avatar-Unity.file_00000000-0000-0000-0000-000000000000.1.unitypackage",
        "md5": "xxxxxxxxxxxxxxxxxxx==",
        "sizeInBytes": 303055180,
        "status": "complete",
        "uploadId": "xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx",
        "url": "https://s3.us-east-1.amazonaws.com/files.vrchat.cloud/Avatar-Test-Avatar-Unity.file_00000000-0000-0000-0000-000000000000.1.unitypackage"
      },
      "signature": {
        "category": "simple",
        "fileName": "Avatar-Test-Avatar-Unity.file_00000000-0000-0000-0000-000000000000.1.unitypackage.signature",
        "md5": "xxxxxxxxxxxxxxxx==",
        "sizeInBytes": 532748,
        "status": "complete",
        "uploadId": "",
        "url": "https://s3.us-east-1.amazonaws.com/files.vrchat.cloud/Avatar-Test-Avatar-Unity.file_00000000-0000-0000-0000-000000000000.1.unitypackage.signature"
      },
      "status": "complete",
      "version": 1
    }
  ]
}